<?
/**
 *  
 *
 *       
 *        
 *
 * @package Core
 */





/*************************************
 *
 *  
 *
 *************************************/
ob_end_clean();
ob_start();



/*************************************
 *
 *   
 *
 *************************************/
$_CONFIG = parse_ini_file($_SERVER['DOCUMENT_ROOT']."/etc/core.ini");

$_CONFIG['general.tpldir'] = $_CONFIG['general.skindir'].'/default';



/*************************************
 *
 *    
 *
 *************************************/
$arIds = parse_ini_file($_CONFIG['general.etcdir']."/resource-ids.ini", true);

$TYPES        = isset($arIds["types"]) ? $arIds["types"] : array();
$ENTITIES     = isset($arIds["entities"]) ? $arIds["entities"] : array();
$DICTIONARIES = isset($arIds["dictionaries"]) ? $arIds["dictionaries"] : array();

unset($arIds);



/*************************************
 *
 *      -
 *
 *************************************/
$METAS = parse_ini_file($_CONFIG['general.etcdir']."/metas.ini");



/*************************************
 *
 *    
 *
 *************************************/
define("FLDABSTRACT_CURRENCY_CONVERT", $_CONFIG['webface.currency']);



/*************************************
 *
 *     
 *
 *************************************/
error_reporting(E_ALL);
if ( empty($_CONFIG['debug.show_php_errors']) ) {
    ini_set("display_errors", 0);
}
else {
    ini_set("display_errors", 1);
}



/*************************************
 *
 *   
 *            
 *
 *************************************/
//   
if ( !empty($_CONFIG["webface.cache.client"]) ) {
    session_cache_limiter("public, must-revalidate");
    session_cache_expire(60);
}



/*************************************
 *
 *       
 *
 *************************************/
require_once($_CONFIG['general.coredir']."/ccore.php");



/*************************************
 *
 *      
 *
 *************************************/
//    
CCore::bindtextdomain("bin", $_CONFIG['general.etcdir']."/locale");
CCore::textdomain("bin");
CCore::setlocale(LC_ALL, $_CONFIG['locale.LANG']);



/*************************************
 *
 *      
 *
 *************************************/
require_once(dirname($_CONFIG["general.coredir"])."/framework/init.php");



/*************************************
 *
 *      
 *
 *************************************/
if ( !CSystem::db_connect($_CONFIG["database.host"], $_CONFIG["database.user"],
                          $_CONFIG["database.passwd"], $_CONFIG["database.name"],
                          $_CONFIG["database.charset"], $_CONFIG["database.version"]) ) {
    CCore::error_push(CError::create(CCore::lc("Database connection error"), __FILE__, __LINE__));
    include($_CONFIG['general.basedir'].'/bin/error.php');
    exit;
}
?>